## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/tasks/{taskId}

Try it

Get a Task

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId} \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	url := "https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**: Successful request.
- **400**: Bad Request.
- **401**: Unauthorized.
- **402**: Payment Required.
- **403**: Forbidden.
- **404**: Not Found.
- **405**: Method Not Allowed.
- **409**: Conflict.
- **413**: Payload Too Large.
- **500**: Internal Server Error.
- **501**: Not Implemented.
- **502**: Bad Gateway.
- **503**: Service Unavailable.
- **504**: Gateway Timeout.

### Response Example (200)

```json
{
  "name": "<string>",
  "data": {},
  "status": "queued",
  "currentStep": 123,
  "totalStep": 123,
  "failReason": "<string>",
  "lastRunAt": "2023-11-07T05:31:56Z",
  "lastFinishedAt": "2023-11-07T05:31:56Z",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Response Example (400)

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorization

**APIKeyHeader**: Supply the API Key in the HTTP-Header.

#### Headers

- **Accept**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

#### Path Parameters

- **taskId**: The unique identifier for the task. Required string length: `24` (Pattern: `^[a-z0-9]{24}$`).

#### Response Information

The `IEntityMeta` defines meta information every entity within the system has, including dates when a resource was created and modified, as well as information about the user who initially created a resource and who modified it the last time.

--- Last modified on July 8, 2026
